{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function  rds_comm, msg, post_event, dialog_box, ex_vm_rem, start_window, fieldcount, Get_Property, Get_Status, RowExists\r\ndeclare subroutine forward_event, create_note, ErrMsg, Set_Property, obj_WO_Step, Set_Status, RDS_React_Run, Post_Event\r\n\r\n$insert logical\r\n$insert msg_equates\r\n$INSERT RDS_EQU\r\n\r\n   \r\nRdsNo = .rds_no->text  \r\n\r\nIF RowExists('RDS',RdsNo) ELSE\r\n\r\n\tMsg(@WINDOW,'','INVALID_RDS_NO')\r\n\tPost_Event(@WINDOW,'CLEAR')\t\r\n\t\r\n\tRETURN 0\r\n\t\r\nEND\r\n\r\n\r\nProdWafers = 0\r\nCustNo = field( .cust_info->text, ' ', 1 )\r\n\r\n\r\nRDSId\t\t= Get_Property(@WINDOW:'.RDS_NO','TEXT')\t\t\t;* Added 1/31/05 BY JCH to maintain RDS_Status field in WO_Step file.\r\n\r\n\r\n* NEED TO READ THE MOD_ID AND MOD_DATE FROM RDS CAUSE WE ARE IGNORING SELF LOCKS\r\n* WHICH MEANS THIS RDS COULD BE CURRENTLY VIEWED VIA ANOTHER WINDOW\r\n\r\nif @@window->savewarn then\r\n\tVoid = rds_comm( 'STAMP_MOD' )\r\n\tVoid = rds_comm( 'WRITE_STAMP' )\r\nend\r\n\r\nforward_event()\r\n\r\nRDS_React_Run(RDSId)\t;* Conversion of data to REACT_RUN and REACT_RUN_CI & Adds Sig to WO_MAT 3/18/2008 JCH\r\n\r\n\r\nreturn 0"
        }
    }
}